Install envoy gateway
curl --request POST \
--url https://{host}/api/supervisors/{name}/gateway/envoy/install \
--header 'Content-Type: application/json' \
--cookie k8s-gate-session= \
--data '
{
"chartVersion": "<string>",
"proxyMode": "<string>"
}
'import requests
url = "https://{host}/api/supervisors/{name}/gateway/envoy/install"
payload = {
"chartVersion": "<string>",
"proxyMode": "<string>"
}
headers = {
"cookie": "k8s-gate-session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'k8s-gate-session=', 'Content-Type': 'application/json'},
body: JSON.stringify({chartVersion: '<string>', proxyMode: '<string>'})
};
fetch('https://{host}/api/supervisors/{name}/gateway/envoy/install', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/supervisors/{name}/gateway/envoy/install",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'chartVersion' => '<string>',
'proxyMode' => '<string>'
]),
CURLOPT_COOKIE => "k8s-gate-session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/supervisors/{name}/gateway/envoy/install"
payload := strings.NewReader("{\n \"chartVersion\": \"<string>\",\n \"proxyMode\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("cookie", "k8s-gate-session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/api/supervisors/{name}/gateway/envoy/install")
.header("cookie", "k8s-gate-session=")
.header("Content-Type", "application/json")
.body("{\n \"chartVersion\": \"<string>\",\n \"proxyMode\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/supervisors/{name}/gateway/envoy/install")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'k8s-gate-session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"chartVersion\": \"<string>\",\n \"proxyMode\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"helmRelease": {
"action": "<string>",
"name": "<string>"
},
"helmRepository": {
"action": "<string>",
"name": "<string>"
},
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}networking
Install envoy gateway
Node DNS — Networking → DNS (node_dns.go).
Authorisation: gateway:Create on krn:celum:supervisor:{name}:gateway:*.
POST
/
api
/
supervisors
/
{name}
/
gateway
/
envoy
/
install
Install envoy gateway
curl --request POST \
--url https://{host}/api/supervisors/{name}/gateway/envoy/install \
--header 'Content-Type: application/json' \
--cookie k8s-gate-session= \
--data '
{
"chartVersion": "<string>",
"proxyMode": "<string>"
}
'import requests
url = "https://{host}/api/supervisors/{name}/gateway/envoy/install"
payload = {
"chartVersion": "<string>",
"proxyMode": "<string>"
}
headers = {
"cookie": "k8s-gate-session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'k8s-gate-session=', 'Content-Type': 'application/json'},
body: JSON.stringify({chartVersion: '<string>', proxyMode: '<string>'})
};
fetch('https://{host}/api/supervisors/{name}/gateway/envoy/install', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/supervisors/{name}/gateway/envoy/install",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'chartVersion' => '<string>',
'proxyMode' => '<string>'
]),
CURLOPT_COOKIE => "k8s-gate-session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/supervisors/{name}/gateway/envoy/install"
payload := strings.NewReader("{\n \"chartVersion\": \"<string>\",\n \"proxyMode\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("cookie", "k8s-gate-session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/api/supervisors/{name}/gateway/envoy/install")
.header("cookie", "k8s-gate-session=")
.header("Content-Type", "application/json")
.body("{\n \"chartVersion\": \"<string>\",\n \"proxyMode\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/supervisors/{name}/gateway/envoy/install")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'k8s-gate-session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"chartVersion\": \"<string>\",\n \"proxyMode\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"helmRelease": {
"action": "<string>",
"name": "<string>"
},
"helmRepository": {
"action": "<string>",
"name": "<string>"
},
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
sessionCookiebearerToken
The session cookie issued by the OIDC sign-in flow. This is what a browser uses.
Path Parameters
The supervisor's name, as registered under Administration → Supervisors.